
convert from pci_module_init to pci_register_driver

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
---


 kj-domen/drivers/atm/ambassador.c |    2 +-
 kj-domen/drivers/atm/firestream.c |    2 +-
 kj-domen/drivers/atm/he.c         |    2 +-
 kj-domen/drivers/atm/horizon.c    |    2 +-
 kj-domen/drivers/atm/iphase.c     |    2 +-
 kj-domen/drivers/atm/lanai.c      |    2 +-
 kj-domen/drivers/atm/nicstar.c    |    2 +-
 kj-domen/drivers/atm/zatm.c       |    2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

diff -puN drivers/atm/ambassador.c~pci_register_driver-drivers_atm drivers/atm/ambassador.c
--- kj/drivers/atm/ambassador.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/ambassador.c	2005-03-02 10:45:27.000000000 +0100
@@ -2447,7 +2447,7 @@ static int __init amb_module_init (void)
   amb_check_args();
   
   // get the juice
-  return pci_module_init(&amb_driver);
+  return pci_register_driver(&amb_driver);
 }
 
 /********** module exit **********/
diff -puN drivers/atm/firestream.c~pci_register_driver-drivers_atm drivers/atm/firestream.c
--- kj/drivers/atm/firestream.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/firestream.c	2005-03-02 10:45:27.000000000 +0100
@@ -2034,7 +2034,7 @@ static int __init firestream_init_module
 	int error;
 
 	func_enter ();
-	error = pci_module_init(&firestream_driver);
+	error = pci_register_driver(&firestream_driver);
 	func_exit ();
 	return error;
 }
diff -puN drivers/atm/he.c~pci_register_driver-drivers_atm drivers/atm/he.c
--- kj/drivers/atm/he.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/he.c	2005-03-02 10:45:27.000000000 +0100
@@ -3079,7 +3079,7 @@ static struct pci_driver he_driver = {
 
 static int __init he_init(void)
 {
-	return pci_module_init(&he_driver);
+	return pci_register_driver(&he_driver);
 }
 
 static void __exit he_cleanup(void)
diff -puN drivers/atm/horizon.c~pci_register_driver-drivers_atm drivers/atm/horizon.c
--- kj/drivers/atm/horizon.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/horizon.c	2005-03-02 10:45:27.000000000 +0100
@@ -2938,7 +2938,7 @@ static int __init hrz_module_init (void)
   hrz_check_args();
   
   // get the juice
-  return pci_module_init(&hrz_driver);
+  return pci_register_driver(&hrz_driver);
 }
 
 /********** module exit **********/
diff -puN drivers/atm/iphase.c~pci_register_driver-drivers_atm drivers/atm/iphase.c
--- kj/drivers/atm/iphase.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/iphase.c	2005-03-02 10:45:27.000000000 +0100
@@ -3274,7 +3274,7 @@ static int __init ia_module_init(void)
 {
 	int ret;
 
-	ret = pci_module_init(&ia_driver);
+	ret = pci_register_driver(&ia_driver);
 	if (ret >= 0) {
 		ia_timer.expires = jiffies + 3*HZ;
 		add_timer(&ia_timer); 
diff -puN drivers/atm/lanai.c~pci_register_driver-drivers_atm drivers/atm/lanai.c
--- kj/drivers/atm/lanai.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/lanai.c	2005-03-02 10:45:27.000000000 +0100
@@ -2746,7 +2746,7 @@ static int __init lanai_module_init(void
 {
 	int x;
 
-	x = pci_module_init(&lanai_driver);
+	x = pci_register_driver(&lanai_driver);
 	if (x != 0)
 		printk(KERN_ERR DEV_LABEL ": no adapter found\n");
 	return x;
diff -puN drivers/atm/nicstar.c~pci_register_driver-drivers_atm drivers/atm/nicstar.c
--- kj/drivers/atm/nicstar.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/nicstar.c	2005-03-02 10:45:27.000000000 +0100
@@ -381,7 +381,7 @@ static int __init nicstar_init(void)
 
    XPRINTK("nicstar: nicstar_init() called.\n");
 
-   error = pci_module_init(&nicstar_driver);
+   error = pci_register_driver(&nicstar_driver);
    
    TXPRINTK("nicstar: TX debug enabled.\n");
    RXPRINTK("nicstar: RX debug enabled.\n");
diff -puN drivers/atm/zatm.c~pci_register_driver-drivers_atm drivers/atm/zatm.c
--- kj/drivers/atm/zatm.c~pci_register_driver-drivers_atm	2005-03-02 10:45:27.000000000 +0100
+++ kj-domen/drivers/atm/zatm.c	2005-03-02 10:45:27.000000000 +0100
@@ -1639,7 +1639,7 @@ static struct pci_driver zatm_driver = {
 
 static int __init zatm_init_module(void)
 {
-	return pci_module_init(&zatm_driver);
+	return pci_register_driver(&zatm_driver);
 }
 
 module_init(zatm_init_module);
_