
convert from pci_module_init to pci_register_driver
(from:http://kerneljanitors.org/TODO).

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
---


 kj-domen/drivers/video/asiliantfb.c  |    2 +-
 kj-domen/drivers/video/chipsfb.c     |    2 +-
 kj-domen/drivers/video/cirrusfb.c    |    2 +-
 kj-domen/drivers/video/cyber2000fb.c |    2 +-
 kj-domen/drivers/video/imsttfb.c     |    2 +-
 kj-domen/drivers/video/pm2fb.c       |    2 +-
 kj-domen/drivers/video/pvr2fb.c      |    2 +-
 kj-domen/drivers/video/radeonfb.c    |    2 +-
 kj-domen/drivers/video/sstfb.c       |    2 +-
 kj-domen/drivers/video/tdfxfb.c      |    2 +-
 kj-domen/drivers/video/tgafb.c       |    2 +-
 kj-domen/drivers/video/tridentfb.c   |    2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/video/asiliantfb.c~pci_register_driver-drivers_video drivers/video/asiliantfb.c
--- kj/drivers/video/asiliantfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/asiliantfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -609,7 +609,7 @@ int __init asiliantfb_init(void)
 	if (fb_get_options("asiliantfb", NULL))
 		return -ENODEV;
 
-	return pci_module_init(&asiliantfb_driver);
+	return pci_register_driver(&asiliantfb_driver);
 }
 
 module_init(asiliantfb_init);
diff -puN drivers/video/chipsfb.c~pci_register_driver-drivers_video drivers/video/chipsfb.c
--- kj/drivers/video/chipsfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/chipsfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -465,7 +465,7 @@ int __init chips_init(void)
 	if (fb_get_options("chipsfb", NULL))
 		return -ENODEV;
 
-	return pci_module_init(&chipsfb_driver);
+	return pci_register_driver(&chipsfb_driver);
 }
 
 module_init(chips_init);
diff -puN drivers/video/cirrusfb.c~pci_register_driver-drivers_video drivers/video/cirrusfb.c
--- kj/drivers/video/cirrusfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/cirrusfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -2624,7 +2624,7 @@ int __init cirrusfb_init(void)
 	error |= zorro_module_init(&cirrusfb_zorro_driver);
 #endif
 #ifdef CONFIG_PCI
-	error |= pci_module_init(&cirrusfb_pci_driver);
+	error |= pci_register_driver(&cirrusfb_pci_driver);
 #endif
 	return error;
 }
diff -puN drivers/video/cyber2000fb.c~pci_register_driver-drivers_video drivers/video/cyber2000fb.c
--- kj/drivers/video/cyber2000fb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/cyber2000fb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1737,7 +1737,7 @@ int __init cyber2000fb_init(void)
 	}
 #endif
 #ifdef CONFIG_PCI
-	err = pci_module_init(&cyberpro_driver);
+	err = pci_register_driver(&cyberpro_driver);
 	if (!err)
 		ret = 0;
 #endif
diff -puN drivers/video/imsttfb.c~pci_register_driver-drivers_video drivers/video/imsttfb.c
--- kj/drivers/video/imsttfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/imsttfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1612,7 +1612,7 @@ int __init imsttfb_init(void)
 
 	imsttfb_setup(option);
 #endif
-	return pci_module_init(&imsttfb_pci_driver);
+	return pci_register_driver(&imsttfb_pci_driver);
 }
  
 static void __exit imsttfb_exit(void)
diff -puN drivers/video/pm2fb.c~pci_register_driver-drivers_video drivers/video/pm2fb.c
--- kj/drivers/video/pm2fb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/pm2fb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1259,7 +1259,7 @@ int __init pm2fb_init(void)
 	pm2fb_setup(option);
 #endif
 
-	return pci_module_init(&pm2fb_driver);
+	return pci_register_driver(&pm2fb_driver);
 }
 
 #ifdef MODULE
diff -puN drivers/video/pvr2fb.c~pci_register_driver-drivers_video drivers/video/pvr2fb.c
--- kj/drivers/video/pvr2fb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/pvr2fb.c	2005-03-02 10:47:48.000000000 +0100
@@ -966,7 +966,7 @@ static struct pci_driver pvr2fb_pci_driv
 
 static int __init pvr2fb_pci_init(void)
 {
-	return pci_module_init(&pvr2fb_pci_driver);
+	return pci_register_driver(&pvr2fb_pci_driver);
 }
 
 static void pvr2fb_pci_exit(void)
diff -puN drivers/video/radeonfb.c~pci_register_driver-drivers_video drivers/video/radeonfb.c
--- kj/drivers/video/radeonfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/radeonfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -3115,7 +3115,7 @@ int __init radeonfb_old_init (void)
 		return -ENODEV;
 	radeonfb_old_setup(option);
 #endif
-	return pci_module_init (&radeonfb_driver);
+	return pci_register_driver (&radeonfb_driver);
 }
 
 
diff -puN drivers/video/sstfb.c~pci_register_driver-drivers_video drivers/video/sstfb.c
--- kj/drivers/video/sstfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/sstfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1574,7 +1574,7 @@ int __devinit sstfb_init(void)
 		return -ENODEV;
 	sstfb_setup(option);
 #endif
-	return pci_module_init(&sstfb_driver);
+	return pci_register_driver(&sstfb_driver);
 }
 
 void __devexit sstfb_exit(void)
diff -puN drivers/video/tdfxfb.c~pci_register_driver-drivers_video drivers/video/tdfxfb.c
--- kj/drivers/video/tdfxfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/tdfxfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1331,7 +1331,7 @@ int __init tdfxfb_init(void)
 
 	tdfxfb_setup(option);
 #endif
-        return pci_module_init(&tdfxfb_driver);
+        return pci_register_driver(&tdfxfb_driver);
 }
 
 static void __exit tdfxfb_exit(void)
diff -puN drivers/video/tgafb.c~pci_register_driver-drivers_video drivers/video/tgafb.c
--- kj/drivers/video/tgafb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/tgafb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1540,7 +1540,7 @@ tgafb_init(void)
 		return -ENODEV;
 	tgafb_setup(option);
 #endif
-	return pci_module_init(&tgafb_driver);
+	return pci_register_driver(&tgafb_driver);
 }
 
 /*
diff -puN drivers/video/tridentfb.c~pci_register_driver-drivers_video drivers/video/tridentfb.c
--- kj/drivers/video/tridentfb.c~pci_register_driver-drivers_video	2005-03-02 10:47:48.000000000 +0100
+++ kj-domen/drivers/video/tridentfb.c	2005-03-02 10:47:48.000000000 +0100
@@ -1228,7 +1228,7 @@ int __init tridentfb_init(void)
 	tridentfb_setup(option);
 #endif
 	output("Trident framebuffer %s initializing\n", VERSION);
-	return pci_module_init(&tridentfb_pci_driver);
+	return pci_register_driver(&tridentfb_pci_driver);
 }
 
 void __exit tridentfb_exit(void)
_